Bug 244772 - slaptest & slapd segmentation fault when restricting pagedResults
Summary: slaptest & slapd segmentation fault when restricting pagedResults
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openldap   
(Show other bugs)
Version: 4.5
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 04:13 UTC by Victor Orgos
Modified: 2007-11-17 01:14 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0739
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:04:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test LDAP server config (1.18 KB, text/plain)
2007-06-19 04:15 UTC, Victor Orgos
no flags Details
patch resolving the issue (3.77 KB, patch)
2007-06-19 10:21 UTC, Jan Safranek
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0739 normal SHIPPED_LIVE openldap bug fix update 2007-11-14 17:01:29 UTC

Description Victor Orgos 2007-06-19 04:13:16 UTC
Description of problem:
I'm trying to upgrade my RHEL3 ldap directory to RHEL4 to use with Outlook 2003.
Outlook returns with "unavailable critical extension".

Following links discuss the problem.

http://www.openldap.org/lists/openldap-bugs/200408/msg00079.html
http://www.openldap.org/lists/openldap-software/200408/msg00298.html

When I try to stop advertisement of pagedResults using 

access to dn.exact="" attrs=supportedControl val=1.2.840.113556.1.4.319
   by * none

I get Segmentation Fault.


Version-Release number of selected component (if applicable):
# slapd -V
@(#) $OpenLDAP: slapd 2.2.13 (Mar 22 2007 17:53:35) $

How reproducible:
Everytime

Steps to Reproduce:
1.Add access line above to slapd.conf
2.run slaptest or service ldap start
3.
  
Actual results:


Expected results:
Same as when I remove access statement.

Additional info:
I've attempted to contacted openldap.org for help but they suggested I get
support from RedHat instead.

See attached file for slapd.conf

Comment 1 Victor Orgos 2007-06-19 04:15:43 UTC
Created attachment 157346 [details]
Test LDAP server config

This is config causes slaptest to fail unless I remove the access line.

Comment 2 Jan Safranek 2007-06-19 10:21:50 UTC
Created attachment 157357 [details]
patch resolving the issue

I found a patch upstream, which fixed the issue on my test box - it does not
crash anymore. However, I do not have MS Outlook here, so I am not able to
test, if the ACL rule applies. Could you please test it? You can find .srpm at
http://people.redhat.com/jsafrane/bugs/244772/

Thanks in advance.

Comment 3 RHEL Product and Program Management 2007-06-19 10:24:23 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Victor Orgos 2007-06-20 00:05:36 UTC
(In reply to comment #2)
> Created an attachment (id=157357) [edit]
> patch resolving the issue
> 
> I found a patch upstream, which fixed the issue on my test box - it does not
> crash anymore. However, I do not have MS Outlook here, so I am not able to
> test, if the ACL rule applies. Could you please test it? You can find .srpm at
> http://people.redhat.com/jsafrane/bugs/244772/
> 
> Thanks in advance.

The patch did the trick. It does not crash anymore and Outlook queries the
server just fine.

Thank you. 

Comment 9 errata-xmlrpc 2007-11-15 16:04:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0739.html



Note You need to log in before you can comment on or make changes to this bug.